Subject: Re: Setting file timestamps to commit time (git-checkout)

From: Dominik Vogt <[email-masked]>
Date: Wed, 11 Dec 2013 08:37:11 +0100

On Tue, Dec 10, 2013 at 08:02:29PM +0100, Andreas Schwab wrote:
> Dominik Vogt <[email-masked]> writes:
> 
> > The second best approach I could think of is to stamp files with the
> > timestamp of the last commit that touched that, but I guess that is
> > not a cheap operation either.
> 
> I'm using this script for this:
[snip]

Hm, that runs 18 s on the local Gcc repository.  That's not as
expensive as I would have thought, but definitely not suitable to
run automatically on each checkout.  I wonder if performance could
be improved by integrating the script logic into the git-checkout
code (activated by a command line option).

On Tue, Dec 10, 2013 at 05:39:05PM -0800, Constantine A. Murenin wrote:
> You can already do this with a very small third-party script:
>
>     https://github.com/cnst/git-tools/blob/master/git-restore-mtime-core

That script just produces error messages for me.

Ciao

Dominik ^_^  ^_^

-- 

Dominik Vogt
IBM Germany